Page MenuHomePhabricator

[AArch64] Suggest b.nfrst if the user tries b.nfirst.
ClosedPublic

Authored by MattDevereau on Feb 10 2022, 9:17 AM.

Diff Detail

Event Timeline

MattDevereau created this revision.Feb 10 2022, 9:17 AM
MattDevereau requested review of this revision.Feb 10 2022, 9:17 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 10 2022, 9:17 AM
paulwalker-arm added inline comments.Feb 11 2022, 2:53 AM
llvm/lib/Target/AArch64/AsmParser/AArch64AsmParser.cpp
3092

To be consistent with other clang/llvm diagnostic can this be "did you mean 'Suggestion'"?

paulwalker-arm accepted this revision.Feb 14 2022, 8:36 AM
This revision is now accepted and ready to land.Feb 14 2022, 8:36 AM
peterwaller-arm accepted this revision.Feb 14 2022, 8:39 AM

LGTM with one more consistency tweak.

llvm/lib/Target/AArch64/AsmParser/AArch64AsmParser.cpp
3092

Thanks for the patch. Sorry, I think another pass is needed here for consistency, the messages look like so (no quotes, single sentence):

https://github.com/llvm/llvm-project/blob/779bbbf27fe631154bdfaac7a443f198d4654688/llvm/utils/TableGen/AsmMatcherEmitter.cpp#L3091

test/MC/AArch64/invalid-instructions-spellcheck.s
28:// CHECK:      error: unrecognized instruction mnemonic, did you mean: add, addp, adds, addv, fadd, madd?
35:// CHECK-NO-NEON:      error: unrecognized instruction mnemonic, did you mean: add, adds, fadd, madd?
This revision was landed with ongoing or failed builds.Feb 15 2022, 7:06 AM
This revision was automatically updated to reflect the committed changes.